 .sticky-text {
            position: sticky;
            flex-direction: column;
            padding: 2rem;
            background: #fff;
        }

        /* کل بخش کارت‌ها */
        .cards-wrapper {
            position: relative;
            height: calc(var(--cards-count) * 120vh);
            overflow: visible;
        }

        /* هر کارت sticky */
        .card-item {
            position: sticky;
            top: 0;
            height: 100vh;
            display: flex;
            align-items: center;
            justify-content: center;
            z-index: var(--z);
            transform-origin: top center;
            transition: transform 0.4s ease, opacity 0.4s ease;
        }

        /* محتوای کارت */
        .card-content {
            width: 100%;
            max-width: 700px;
            border-radius: 1.5rem;
            box-shadow: 0 0.2em 1em rgba(0, 0, 0, 0.1), 0 1em 2em rgba(0, 0, 0, 0.1);
            padding: 1.5rem;
            background: white;
            transform: translateY(0);
            transition: transform 0.4s ease, rotate 0.4s ease;
        }

        .card-item:nth-child(1) .card-content {
            transform: translateY(2vh);
        }

        .card-item:nth-child(2) .card-content {
            transform: translateY(4vh);
        }

        .card-item:nth-child(3) .card-content {
            transform: translateY(6vh);
        }

        .card-item:nth-child(4) .card-content {
            transform: translateY(8vh);
        }

        .card-item:nth-child(5) .card-content {
             transform: translateY(14vh) rotate(-2deg);
        }
        
        .bg1 {
            background: linear-gradient(16deg, rgb(176 201 251) 0%, rgb(202 220 253) 50%, rgb(56 121 255) 100%);
        }

        .bg2 {
            background: linear-gradient(41deg, rgb(230 238 255) 0%, rgb(226 236 255) 50%, rgb(121 165 255) 100%);
        }

        .card-content img {
            width: 100%;
            border-radius: 0.5rem;
            margin-top: 1rem;
        }

     @media (min-width: 991px){
         .vh-class{
            height: 100vh;
           }
        }
       
        @media (max-width: 768px) {


            .card-item {   
                 height:60vh !important;
              }

             .card-content {
                width: 80%;
                padding: 1rem;
            }

            .card-item:nth-child(2) .card-content {
                transform: translateY(2vh);
            }

            .card-item:nth-child(3) .card-content {
                transform: translateY(4vh);
            }

            .card-item:nth-child(4) .card-content {
                transform: translateY(8vh);
            }

            .card-item:nth-child(5) .card-content {
                transform: translateY(12vh) rotate(-2deg);
            }

            
        }

        
        